<div class="grouped-elements" data-anchor='diagnostic' v-show="diagnostic || fields.comp_diag_comment">
    <div class="titled">
        <div class="hidden-go-back" v-on:click='describeToAll( "diagnostic" )'>
            <button  class="btn btn_s btn_primary btn_inline mb_m ">< Назад</button>
        </div>
        <div class="topper" v-on:click='describeChanger( "diagnostic" )'>
            <div class="con print-hide">
                <svg width="50" height="50" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M41.7498 11.6H8.2373V33.7875H41.7498V11.6Z" stroke="#4A4A4A" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M22.7246 33.7875V37.875" stroke="#4A4A4A" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M27.2749 33.7875V37.875" stroke="#4A4A4A" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M20.2998 38.4H29.6998" stroke="#4A4A4A" stroke-linecap="round" stroke-linejoin="round"/>
                            <path d="M12.8623 22.8375H17.8998L20.8748 15.9875L23.5998 29.4L26.6998 20.6L27.9748 22.6875H37.1373" stroke="#EFB23E" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
            </div>
            <div class="named">
                <h2> Компьютерная диагностика </h2>
            </div>
        </div>
        <div class="after-text" v-if=" fields.comp_diag_comment != '' ">
            <p> ${ fields.comp_diag_comment } </p>
        </div>
    </div>
    <div class="content">
        <div class="conteiner-list">
            <div class="list-item">
                <checker2 :name="'Чтение VIN из ЭБУ'" :value="nullFieldstate(fields.read_vin, 'diagnostic')" :com="fields.read_vin_com"
                    ></checker2>
                <checker2 :name="'Связь со всеми блоками ЭБУ'" :value="nullFieldstate(fields.connect_ebu, 'diagnostic')" :com="fields.connect_ebu_com"
                    ></checker2>
                <checker2 :name="'Ошибки в ЭБУ'" :value="nullFieldstate(fields.error_ebu, 'diagnostic')" :com="fields.error_ebu_com"
                    ></checker2>
                <checker2 :name="'Соответствие прописанных ключей с фактическим'" :value="nullFieldstate(fields.number_key_ebu, 'diagnostic')" :com="fields.number_key_ebu_com"
                    ></checker2>

            </div>
        </div>
    </div>
</div>
<hr v-show="diagnostic || fields.comp_diag_comment"/>